Index Page dpmin_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble dpmin_c ()

#### Abstract

       Return the value of the smallest (negative) number representable
       in a double precision variable.

#### Required_Reading

       None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       The function returns the value of the smallest (negative) number
       that can be represented in a double precision variable.

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns the value of the smallest (negative) number
       that can be represented in a double precision variable.

       This value varies from machine to machine.  Usually, the value is
       defined as the negative of the macro DBL_MAX from the ANSI standard
       header file float.h.  According to the ANSI standard, DBL_MAX must be
       at least

          1.E+37

       Therefore dpmin_c usually returns a value less than or equal to

         -1.E+37

       Exceptional systems would be those where DBL_MAX cannot be negated.
       Currently no such systems are supported.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       The function always returns a constant value, set by the user
       prior to compilation.

#### Examples

       The following code fragments illustrate the use of dpmin_c.
       Note in the example that the smallest negative number is not assumed
       to be the negative of the largest positive number.

       1) Initialize a CSPICE "window."

          /.
          The window originally has one interval, from "minus
          infinity" to "plus infinity".
          ./

          winsiz    =  2;
          window[0] =  dpmin_c();
          window[1] =  dpmax_c() ;

          scardd_ ( &winsiz, window );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       M.J. Spencer    (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.0, 19-OCT-1998 (NJB)

#### Index_Entries

       smallest d.p. number

#### Link to routine dpmin_c source file dpmin_c.c

    Wed Apr  5 17:54:31 2017